Author of the page: František Dvořák <valtri@users.sourceforge.net> Latest change: 04/05/15
Automatic change: 17/05/10
Don't learn English from this site! :-)
Language: cs en
Home
Info
Download
  Linux
  Windows
  Fonts
  Patches
Screenshots
Samples
Testsuites

Requirements and dependencies

Requirements
zlib - basic compress library
libpng - library for working with PNG images, binary RPM from RedHat 8.0
Recommended dependencies
X11 - X Windows system, recommended for Linux
curl - library for working with network (xine-ui), binary RPMs to download
ogg, vorbis - important audio codec
Some optional dependencies
aalib - ASCI Art library for viewing movies in the console :-), binary RPM to download
CaCa - Colored ASCII Art library

How to install

  1. Download and install dependencies for xine-lib (see above).
    If you will compile you will need also development version of these packages.
  2. Download, compile and install xine-lib. Because of many optional dependencies you don't find precompiled binary of xine-lib on this site. But you can download already compiled version from http://cambuca.ldhs.cetuc.puc-rio.br/xine/ (development version) or from other sites (http://freshrpms.net).
  3. Download and install xine-ui or other frontend which uses xine. On this site xine-ui depends also on aalib - you can watch movies also on the console.
Action Command
installing of packagerpm -i package.rpm
uninstalling of packagerpm -e package.rpm
compiling package from source (then you can found compiled package in the directory /usr/src/*/RPMS/<platform>/)rpmbuild package.src.rpm --rebuild
rpm package.src.rpm --rebuild